package com.ruoyi.project.sems.his.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.sems.domain.TSpecdevGl;
import com.ruoyi.project.sems.domain.TSpecdevYlrq;
import com.ruoyi.project.sems.his.domain.TSpechiGl;

/**
 * 特种设备锅炉台账历史Mapper接口
 * 
 * @author ruoyi
 * @date 2021-09-02
 */
public interface TSpechiGlMapper 
{
    /**
     * 查询特种设备锅炉台账历史
     * 
     * @param id 特种设备锅炉台账历史ID
     * @return 特种设备锅炉台账历史
     */
    public TSpechiGl selectTSpechiGlById(Long id);

    /**
     * 查询特种设备锅炉台账历史列表
     * 
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 特种设备锅炉台账历史集合
     */
    @DataScope(deptAlias = "d")
    public List<TSpechiGl> selectTSpechiGlList(TSpechiGl tSpechiGl);

    /**
     * 新增特种设备锅炉台账历史
     * 
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 结果
     */
    public int insertTSpechiGl(TSpechiGl tSpechiGl);

    /**
     * 使用台账对象新增特种设备锅炉台账历史
     * @param tSpecdevGl 特种设备台账对象
     * @return
     */
    public int insertTSpechiGlByDev(TSpecdevGl tSpecdevGl);

    /**
     * 修改特种设备锅炉台账历史
     * 
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 结果
     */
    public int updateTSpechiGl(TSpechiGl tSpechiGl);

    /**
     * 删除特种设备锅炉台账历史
     * 
     * @param id 特种设备锅炉台账历史ID
     * @return 结果
     */
    public int deleteTSpechiGlById(Long id);

    /**
     * 批量删除特种设备锅炉台账历史
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpechiGlByIds(Long[] ids);

    public List<TSpechiGl> selectTSpechiGlByReform(Long devId);

    /**
     * 根据devId删除台账历史
     * @param devId
     * @return
     */
    public int deleteTSpechiGlByDevId(Long devId);
}
